/*
Copyright (C) 2003-04 Joel Jonsson
Copyright (C) 2007-09 Jan Holub

This is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this file; see the file license.txt.  If
not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  
*/


#ifndef __M_FTP_FILE_H__
#define __M_FTP_FILE_H__


// Send file (files) to the FTP server and copy file URL 
// to message log or clipboard (according to plugin setting)
//   wParam = (HANDLE)hContact
//   lParam = (char *)filename
// Filename format is same as GetOpenFileName (OPENFILENAME.lpstrFile) returns, 
// see http://msdn2.microsoft.com/en-us/library/ms646839.aspx
// Returns 0 on success or nonzero on failure

#define MS_FTPFILE_SHAREFILE	"FTPFile/ShareFiles"

// Show simple file manager
//   wParam = 0
//   lParam = 0
// Returns 0 always
#define MS_FTPFILE_SHOWMANAGER	"FTPFile/ShowManager"

#endif